summaryrefslogtreecommitdiff
path: root/tests/misc/fold
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-08-11 14:35:13 +0000
committerJim Meyering <jim@meyering.net>2003-08-11 14:35:13 +0000
commit7f502e489c6ef9a3020a9ffc432fecb2c16df1fd (patch)
tree083609ee061d757e66eb341e99cd5444291a0918 /tests/misc/fold
parent2a06944a15805d4976dee2eb10e155e63e7b47b5 (diff)
downloadcoreutils-7f502e489c6ef9a3020a9ffc432fecb2c16df1fd.tar.xz
test for fix of 2003-08-11
Diffstat (limited to 'tests/misc/fold')
-rwxr-xr-xtests/misc/fold40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/misc/fold b/tests/misc/fold
new file mode 100755
index 000000000..3c762cc71
--- /dev/null
+++ b/tests/misc/fold
@@ -0,0 +1,40 @@
+#!/bin/sh
+# -*- perl -*-
+# Exercise fold.
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
+ exit 77
+}
+
+exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
+#/
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+$ENV{PROG} = 'fold';
+
+# Turn off localization of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my @Tests =
+ (
+ ['s1', '-w2 -s', {IN=>"a\t"}, {OUT=>"a\n\t"}],
+ ['s2', '-w4 -s', {IN=>"abcdef d\n"}, {OUT=>"abcd\nef d\n"}],
+ ['s3', '-w4 -s', {IN=>"a cd fgh\n"}, {OUT=>"a \ncd \nfgh\n"}],
+ ['s4', '-w4 -s', {IN=>"abc ef\n"}, {OUT=>"abc \nef\n"}],
+ );
+
+my $save_temps = $ENV{DEBUG};
+my $verbose = $ENV{VERBOSE};
+
+my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF